Package twisted :: Package python :: Module compat

[show private | hide private]
[frames | no frames]

## Module twisted.python.compat

Compatability module to provide backwards compatability for useful Python features.

Function Summary
| `dict(args)`
| `inet_pton(af, addr)`
| `inet_ntop(af, addr)`
| `isinstance(object, class_or_type_or_tuple)`
| ``bool`(value)` Demote a value to 0 or 1, depending on its truth value

Function Details

### bool(value)

Demote a value to 0 or 1, depending on its truth value

This is not to be confused with types.BooleanType, which is way too hard to duplicate in 2.1 to be worth the trouble.

Generated by Epydoc 1.1 on Sat Feb 15 21:19:16 2003 | http://epydoc.sf.net